Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Data Fields Globals

# wxAutoOleInterface< I > Class Template Reference

`#include <wxactivex.h>`

## Detailed Description

### template<class I>
class wxAutoOleInterface< I >

Template class for smart interface handling.

- Automatically dereferences ole interfaces
- Smart Copy Semantics
- Can Create Interfaces
- Can query for other interfaces

Definition at line 45 of file wxactivex.h.

## Public Member Functions

| wxAutoOleInterface (I *pInterface=NULL)
| takes ownership of an existing interface Assumed to already have a AddRef() applied
| wxAutoOleInterface (REFIID riid, IUnknown *pUnk)
| queries for an interface
| wxAutoOleInterface (REFIID riid, IDispatch *pDispatch)
| queries for an interface
| wxAutoOleInterface (REFCLSID clsid, REFIID riid)
| Creates an Interface.
| wxAutoOleInterface (const wxAutoOleInterface< I > &ti)
| copy constructor
wxAutoOleInterface< I > & | operator= (const wxAutoOleInterface< I > &ti)
| assignment operator
wxAutoOleInterface< I > & | operator= (I *&ti)
| takes ownership of an existing interface Assumed to already have a AddRef() applied
| ~wxAutoOleInterface ()
| invokes Free()
void | Free ()
| Releases interface (i.e decrements refCount).
HRESULT | QueryInterface (REFIID riid, IUnknown *pUnk)
| queries for an interface
HRESULT | CreateInstance (REFCLSID clsid, REFIID riid)
| Create a Interface instance.
| operator I * () const
| returns the interface pointer
I * | operator-> ()
| returns the dereferenced interface pointer
I ** | GetRef ()
| returns a pointer to the interface pointer
bool | Ok () const
| returns true if we have a valid interface pointer

The documentation for this class was generated from the following file:

- wxactivex.h